Skip to content
Snippets Groups Projects
Commit 378727bf authored by Stefan Lang's avatar Stefan Lang
Browse files

Initial revision

[[Imported from SVN: r2]]
parents
No related branches found
No related tags found
No related merge requests found
Makefile 0 → 100644
##############################################################################
# #
# Makefile for all modules of ug version 3 #
# #
# created 16 December 1994 #
# #
##############################################################################
# load architecture dependent makefile
include ug.arch
# architecture-dependent makefile entries
include machines/mk.$(ARCHDIR)
# include switches
include ug.conf
# the following list may be extended
MODULES = LOW DEV GM NUMERICS GRAPH UI
# dimension dependent targets
version = $(DIM)Dversion
# local C compiler flags
LCFLAGS = -Ilow -Idev -Igm -Igraph -Iui -Inumerics
# object files for both dimensions
OBJECTS = initug.o
# make all
all: $(MODULES) $(OBJECTS)
ar $(ARFLAGS) lib/libug$(LIBSUFFIX).a $(OBJECTS)
echo "ug 3 compiled"
LOW:
cd low; make -f Makefile.low; cd ..;
DEV:
cd dev; make -f Makefile.dev; cd ..;
GM:
cd gm; make -f Makefile.gm $(version); cd ..;
NUMERICS:
cd numerics; make -f Makefile.numerics $(version); cd ..;
GRAPH:
cd graph; make -f Makefile.graph $(version); cd ..;
UI:
cd ui; make -f Makefile.ui $(version); cd ..;
# default rule
.c.o:
$(CC) $(UGDEFINES) $(CFLAGS) $(LCFLAGS) $<
clean:
rm $(OBJECTS)
cd low; make -f Makefile.low clean; cd ..;
cd dev; make -f Makefile.dev clean; cd ..;
cd gm; make -f Makefile.gm clean; cd ..;
cd numerics; make -f Makefile.numerics clean; cd ..;
cd graph; make -f Makefile.graph clean; cd ..;
cd ui; make -f Makefile.ui clean; cd ..;
/* ug/bin/bin.doc */
/*D
unixcommands - UNIX shell commands provided by ug (only for UNIX)
DESCRIPTION:
ug provides a couple of commands to be invoked from a UNIX shell to
lighten the handling of the ug software:~
. ugman - print out a ug manual entry (equivalent to 'man')
. ugproject - checks soundness of all standard experimenting environment
. xugman - browser for ug manual entries (equivalent to 'xman')
. ugclean - clean source code [and ug libraries]
. ugmake - call make with the right Makefile*
DEPENDENCIES:
This commands are available only in an UNIX environment.
SEE ALSO:
commands, ugman, ugproject, xugman, installation, machines
D*/
/*D
ugman - prints out an ug manual entry (only for UNIX)
CALL:
'ugman [section] title ...'
or all other variants your 'man' command allows
DESCRIPTION:
'ugman' accesses information from the on-line version of the ug
documentation. Since it passes all the arguments to the 'man'
command of your operating system you can use all supported
variants of your common 'man' command. For further explanations see
there.
Before you can use the 'ugman' command you have to define the paths
to the ug and application manual pages in the environment variable
'$UGMAN'. For details see the manual for `installation`.
DEPENDENCIES:
. $UGMAN - The environment variable '$UGMAN' must point to the paths where
the manual pages are stored. See manual page for `install`.
. man - Because
ugman uses the 'man' command it is not available on MacIntosh.
. nroff - The
manual pages are not pre-formatted by nroff. So the UNIX
utilities 'nroff', 'neqn' and 'tbl' must be present to format
the current page. On SGI 'nroff' is available only as an extra to
pay product in the "Documentors Work Bench". The call sequence
would be e.g.
.n '~~~~~neqn' `page.1` '| tbl | nroff -man >' `page`'; pack -f' `page`
. MacIntosh - 'man' is not available on MacIntosh.
. SGI - On SGI 'nroff' is available only as an extra to
pay product in the "Documentors Work Bench".
BUGS:
Due to limitations of the 'man' command concerning the searched
directory names
it is not possible to view manual pages of any experimenting environment.
Use instead of it the 'xugman' command.
SEE ALSO:
unixcommands, installation, machines, man(1), nroff(1), neqn(1),
tbl(1), xman(1)
D*/
/*D
ugproject - checks soundness of all standard experimenting environments
DESCRIPTION:
Compiles all standard experimenting environments in order to check the
compilability of the ug3 software. This command should be invoked after
each change to the ug kernel or the standard problemclass libraries.
Watch the bug!
BUG:
If an error occurs during the compilation the 'ugproject' command aborts
leaving an inconsistent state of ug: your 'ug.conf' file is stored
as 'ug.conf.orig' and the ug library has the state due to the incomplete
compilation. To repair this inconsistancy move back the config file and
rebuild ug:~
.n mv $UGROOT/ug.conf.orig $UGROOT/ug.conf
.n ugmake
SEE ALSO:
unixcommands, ugmake, install
D*/
This is TeX, C Version 3.14t3 (format=lplain 92.5.26) 15 SEP 1995 17:33
**TEXINPUTS=.:/rlocal/tex/lib/tex/inputs:/hosts/dom/numerik/ug31/ug/doc/texman
! Emergency stop.
<*> ...nputs:/hosts/dom/numerik/ug31/ug/doc/texman
End of file on the terminal!
Here is how much of TeX's memory you used:
3 strings out of 4454
86 string characters out of 63057
23017 words of memory out of 262141
1977 multiletter control sequences out of 9500
18996 words of font info for 72 fonts, out of 72000 for 255
14 hyphenation exceptions out of 607
0i,0n,0p,1b,6s stack positions out of 600i,40n,60p,3000b,4000s
No pages of output.
make -f ug.make CleanAll > makeout
makeout
delete makeout
Echo "deleting binaries"
for file in `files -r -f -o -s -t "OBJ "` `files -r -f -o -s -t "APPL"` `files -r -f -o -s -t "MPSY"`
delete -p {file}
end
Echo "deleting makeouts"
Set Exit 0
Delete -p :makeout
Delete -p ::makeout
Delete -p :::makeout
Set Exit 1
#!/bin/sh
if test $# -ge 2 -o "$1" = "-help"
then
echo "usage: $0 [all]";
echo "purpose: clean source code [and ug libraries]";
echo "Options are";
echo " all: clean all ug libraries, too";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
cd $UGROOT;
ugmake -i clean
ugmake diff2d -i clean
ugmake diff2da -i clean
ugmake cd3d -i clean
ugmake cd3da -i clean
ugmake fem -i clean
ugmake fema -i clean
cd $UGROOT;
if test "$1" = "all"
then
rm -f lib/*.a
fi
#!/bin/sh
if test $# -eq 0 -o $# -ge 3 -o "$1" = "-help"
then
echo "usage: $0 <expression> [<ugmodule>]";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# if one parameter is specified search all ug modules for $1
if test $# -eq 1
then
find ${UGROOT} \( -name '*.h' -o -name '*.c' \) -exec grep -e $1 {} \; -print
fi
# if two parameters are specified search the specific module for $1
if test $# -eq 2
then
find ${UGROOT}/$2 \( -name '*.h' -o -name '*.c' \) -exec grep -e $1 {} \; -print
fi
#!/bin/sh
if test $# -eq 0 -o $# -ge 3 -o "$1" = "-help"
then
echo "usage: $0 <expression> [<ugmodule>]";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# if one parameter is specified search all ug modules for $1
if test $# -eq 1
then
find ${UGROOT} \( -name '*.c' \) -exec grep -e $1 {} \; -print
fi
# if two parameters are specified search the specific module for $1
if test $# -eq 2
then
find ${UGROOT}/$2 \( -name '*.c' \) -exec grep -e $1 {} \; -print
fi
#!/bin/sh
if test $# -eq 0 -o $# -ge 3 -o "$1" = "-help"
then
echo "usage: $0 <expression> [<ugmodule>]";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# if one parameter is specified search all ug modules for $1
if test $# -eq 1
then
find ${UGROOT} \( -name '*.h' \) -exec grep -e $1 {} \; -print
fi
# if two parameters are specified search the specific module for $1
if test $# -eq 2
then
find ${UGROOT}/$2 \( -name '*.h' \) -exec grep -e $1 {} \; -print
fi
#!/bin/sh
if test "$1" = "-help"
then
echo "usage: $0 [<ugmodule>] [makeoptions]";
echo "purpose: compile by calling \"make\" with the right Makefile[.<ugmodule>]";
echo "Options are";
echo " <ugmodule>: the module which you want to compile";
echo " where <ugmodule> is one of ug, dev, meta, xif";
echo " gm, graph, low, numerics, ui, diff2d, diff2da,";
echo " cd3d, cd3da, fem, fema";
echo " <makeoptions>: the options which you want tp pass to \"make\"";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# if no parameter is specified make in current directory
if test $# -eq 0
then
if test `ls Makefile*|wc -l` -eq 1
then
make -f `ls Makefile*`;
exit 0;
else
echo "$0: Makefile not found or not unique!";
exit 1;
fi
fi
# if parameter are specified make the specified module
if test $# -ge 1
then
# check whether first option is ug module
if test "$1" = "ug" -o "$1" = "dev" -o "$1" = "meta" -o "$1" = "xif" -o "$1" = "gm" -o "$1" = "graph" -o "$1" = "low" -o "$1" = "numerics" -o "$1" = "ui"
then
if test "$1" = "ug"
then
cd $UGROOT;
else
if test "$1" = "meta" -o "$1" = "xif"
then
cd $UGROOT/dev/$1;
else
cd $UGROOT/$1;
fi
fi
shift;
fi
# check whether first option is problem class or application
if test "$1" = "diff2d" -o "$1" = "diff2da"
then
if test -d $UGROOT/../diff2d
then
cd $UGROOT/../diff2d;
else
echo "no directory for diff2d found!";
fi
fi
if test "$1" = "cd3d" -o "$1" = "cd3d"
then
if test -d $UGROOT/../cd3d
then
cd $UGROOT/../cd3d;
else
echo "no directory for cd3d found!";
fi
fi
if test "$1" = "fem" -o "$1" = "fema"
then
if test -d $UGROOT/../fem
then
cd $UGROOT/../fem;
else
echo "no directory for cd3d found!";
fi
fi
if test "$1" = "diff2d" -o "$1" = "cd3d" -o "$1" = "fem"
then
cd pclib;
shift;
fi
if test "$1" = "diff2da" -o "$1" = "cd3da" -o "$1" = "fema"
then
cd appl;
shift;
fi
# call make with the right makefile
if test `ls Makefile*|wc -l` -eq 1
then
make -f `ls Makefile*` $*;
exit 0;
else
echo "$0: Makefile not found or not unique!";
fi
fi
exit 0;
#!/bin/sh
if test $# -ge 2 -o \( $# -eq 1 -a ! \( "$1" = "-remove" -o "$1" = "-new" \) \)
then
echo "usage: $0 [-remove | -new]";
echo "purpose: generate latex pages for ug";
echo "Options are";
echo " -remove: remove the old latex pages";
echo " -new: remove old and generate new latex pages";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
if test "$1" = "-remove" -o "$1" = "-new"
then
for i in $UGROOT/doc/ug3/*/*.3 $UGROOT/doc/ug3/*/*/*.3
do
if test -f $i
then
rm $i;
fi
done
echo "$0: old latex pages removed!"
fi
#if no parameter is specified make the specified module
if test $# -eq 0 -o "$1" = "-new"
then
#generate ug man pages
cd $UGROOT;
for i in *.c *.h
do
doctext -latex -mpath $UGROOT/doc/ug3/ug -heading ug/dev -quotefmt $i
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug -quotefmt *.doc
# generate dev man pages
cd $UGROOT/dev;
for i in *.c *.h
do
doctext -latex -mpath $UGROOT/doc/ug3/ug/dev -heading ug/dev -quotefmt $i
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug/dev -quotefmt *.doc
# generate gm man pages
cd $UGROOT/gm;
for i in *.c *.h
do
doctext -latex -mpath $UGROOT/doc/ug3/ug/gm -heading ug/gm -quotefmt $i
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug/gm -quotefmt *.doc
# generate graph man pages
cd $UGROOT/graph;
for i in *.c *.h
do
doctext -latex -mpath $UGROOT/doc/ug3/ug/graph -heading ug/graph -quotefmt $i
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug/graph -quotefmt *.doc
# generate low man pages
cd $UGROOT/low;
for i in *.c *.h
do
doctext -latex -mpath $UGROOT/doc/ug3/ug/low -heading ug/low -quotefmt $i
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug/low -quotefmt *.doc
# generate numerics man pages
cd $UGROOT/numerics;
for i in *.c *.h
do
if test "$i" = "basics.c" -o "$i" = "mgsolver.c" -o "$i" = "nlsolver.c" -o "$i" = "smoother.c"
then
doctext -latex -heading ug/numerics -quotefmt $i
mv [a-z][a-z].3 $UGROOT/doc/ug3/ug/commands;
mv [a-z][a-z][a-z]*.3 $UGROOT/doc/ug3/ug/commands;
for j in *.3
do
mv $j $UGROOT/doc/ug3/ug/numerics;
done
else
doctext -latex -mpath $UGROOT/doc/ug3/ug/numerics -heading ug/numerics -quotefmt $i
fi
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug/numerics -quotefmt *.doc
# generate ui man pages
cd $UGROOT/ui;
for i in *.c *.h
do
if test "$i" = "commands.c"
then
doctext -latex -heading ug/ui -quotefmt $i
mv [a-z]*.3 $UGROOT/doc/ug3/ug/commands;
for j in *.3
do
mv $j $UGROOT/doc/ug3/ug/ui;
done
else
doctext -latex -mpath $UGROOT/doc/ug3/ug/ui -heading ug/ui -quotefmt $i
fi
done
doctext -latex -mpath $UGROOT/doc/ug3/ug/overview -heading ug/ui -quotefmt *.doc
#generate administration man pages
if test -d $UGROOT/..
then
cd $UGROOT/..
doctext -latex -mpath $UGROOT/doc/ug3/ug/admin -heading admin -quotefmt *.doc
fi
cd $UGROOT/bin
doctext -latex -mpath $UGROOT/doc/ug3/ug/admin -heading admin -quotefmt *.doc
cd $UGROOT/doc
doctext -latex -mpath $UGROOT/doc/ug3/ug/admin -heading admin -quotefmt *.doc
#generate man pages for diff2d
cd $UGROOT/../diff2d
doctext -latex -mpath $UGROOT/doc/ug3/diff2d/overview -heading diff2d -quotefmt *.doc
cd $UGROOT/../diff2d/pclib
doctext -latex -mpath $UGROOT/doc/ug3/diff2d/pclib -heading diff2d/pclib -quotefmt *.c *.h
cd $UGROOT/../diff2d/appl
doctext -latex -mpath $UGROOT/doc/ug3/diff2d/appl -heading diff2d/appl -quotefmt *.c *.h
#generate man pages for cd3d
cd $UGROOT/../cd3d
doctext -latex -mpath $UGROOT/doc/ug3/cd3d/overview -heading cd3d -quotefmt *.doc
cd $UGROOT/../cd3d/pclib
doctext -latex -mpath $UGROOT/doc/ug3/cd3d/pclib -heading cd3d/pclib -quotefmt *.c *.h
cd $UGROOT/../cd3d/appl
doctext -latex -mpath $UGROOT/doc/ug3/cd3d/appl -heading cd3d/appl -quotefmt *.c *.h
#generate man pages for fem
cd $UGROOT/../fem
doctext -latex -mpath $UGROOT/doc/ug3/fem/overview -heading fem -quotefmt *.doc
cd $UGROOT/../fem/pclib
doctext -latex -mpath $UGROOT/doc/ug3/fem/pclib -heading fem/pclib -quotefmt *.c *.h
cd $UGROOT/../fem/appl
doctext -latex -mpath $UGROOT/doc/ug3/fem/appl -heading fem/appl -quotefmt *.c *.h
echo "$0: latex pages for ug created!";
exit 0;
fi
#!/bin/sh
if test $# -eq 0 -o $# -ge 2 -o "$1" = "help"
then
echo "usage: $0 -remove | -new";
echo "purpose: generate for each manual section an \\input list";
echo " and create links to all latex pages";
echo "Options are";
echo " -remove: remove old links";
echo " -new: remove old links, generate new \input list and create new links";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
if test "$1" = "-remove" -o "$1" = "-new"
then
for i in $UGROOT/doc/texman/*
do
if test -h $i
then
rm $i;
fi
done
echo "$0: old links removed!"
fi
if test "$1" = "-new"
then
ugrecurse 'ugmakeref' $UGROOT/doc/ug3
fi
#!/bin/sh
if test $# -ge 2 -o \( $# -eq 1 -a ! \( "$1" = "-remove" -o "$1" = "-new" \) \)
then
echo "usage: $0 [-remove | -new]";
echo "purpose: generate man pages for ug";
echo "Options are";
echo " -remove: remove the old man pages";
echo " -new: remove old and generate new man pages";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
if test "$1" = "-remove" -o "$1" = "-new"
then
for i in $UGROOT/man/*/*
do
rm $i
done
if test -d $UGROOT/../cd3d/man
then
rm $UGROOT/../cd3d/man/*/*
fi
if test -d $UGROOT/../diff2d/man
then
rm $UGROOT/../diff2d/man/*/*
fi
if test -d $UGROOT/../fem/man
then
rm $UGROOT/../fem/man/*/*
fi
echo "$0: old man pages removed!"
fi
#if no parameter is specified make the specified module
if test $# -eq 0 -o "$1" = "-new"
then
# generate ug man pages
cd $UGROOT;
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug -quotefmt *.doc
# generate dev man pages
cd $UGROOT/dev;
doctext -mpath $UGROOT/man/man4 -ext 4 -heading ug/dev -quotefmt *.c *.h
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug/dev -quotefmt *.doc
# generate gm man pages
cd $UGROOT/gm;
doctext -mpath $UGROOT/man/man5 -ext 5 -heading ug/gm -quotefmt *.c *.h
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug/gm -quotefmt *.doc
# generate graph man pages
cd $UGROOT/graph;
doctext -mpath $UGROOT/man/man6 -ext 6 -heading ug/graph -quotefmt *.c *.h
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug/graph -quotefmt *.doc
# generate low man pages
cd $UGROOT/low;
doctext -mpath $UGROOT/man/man7 -ext 7 -heading ug/low -quotefmt *.c *.h
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug/low -quotefmt *.doc
# generate numerics man pages
cd $UGROOT/numerics;
for i in *.c *.h
do
if test "$i" = "basics.c" -o "$i" = "mgsolver.c" -o "$i" = "nlsolver.c" -o "$i" = "smoother.c"
then
doctext -ext 1 -heading ug/numerics -quotefmt $i
mv [a-z][a-z].1 $UGROOT/man/man1;
mv [a-z][a-z][a-z]*.1 $UGROOT/man/man1;
for j in *.1
do
mv $j $UGROOT/man/man8/`echo $j|sed 's/\.1/\.8/'`;
done
else
doctext -mpath $UGROOT/man/man8 -ext 8 -heading ug/numerics -quotefmt $i
fi
done
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug/numerics -quotefmt *.doc
# generate ui man pages
cd $UGROOT/ui;
for i in *.c *.h
do
if test "$i" = "commands.c"
then
doctext -ext 1 -heading ug/ui -quotefmt $i
mv [a-z]*.1 $UGROOT/man/man1;
for j in *.1
do
mv $j $UGROOT/man/man8/`echo $j|sed 's/\.1/\.8/'`;
done
else
doctext -mpath $UGROOT/man/man9 -ext 9 -heading ug/ui -quotefmt $i
fi
done
doctext -mpath $UGROOT/man/man3 -ext 3 -heading ug/ui -quotefmt *.doc
#generate administration man pages
if test -d $UGROOT/..
then
cd $UGROOT/..
doctext -mpath $UGROOT/man/man2 -ext 2 -heading admin -quotefmt *.doc
fi
cd $UGROOT/bin
doctext -mpath $UGROOT/man/man2 -ext 2 -heading admin -quotefmt *.doc
cd $UGROOT/doc
doctext -mpath $UGROOT/man/man2 -ext 2 -heading admin -quotefmt *.doc
#generate man pages for diff2d
cd $UGROOT/../diff2d
doctext -mpath $UGROOT/../diff2d/man/mana -ext a -heading diff2d -quotefmt *.doc
cd $UGROOT/../diff2d/pclib
doctext -mpath $UGROOT/../diff2d/man/manb -ext b -heading diff2d/pclib -quotefmt *.c *.h
cd $UGROOT/../diff2d/appl
doctext -mpath $UGROOT/../diff2d/man/manc -ext c -heading diff2d/appl -quotefmt *.c *.h
#generate man pages for cd3d
cd $UGROOT/../cd3d
doctext -mpath $UGROOT/../cd3d/man/mana -ext a -heading cd3d -quotefmt *.doc
cd $UGROOT/../cd3d/pclib
doctext -mpath $UGROOT/../cd3d/man/mand -ext d -heading cd3d/pclib -quotefmt *.c *.h
cd $UGROOT/../cd3d/appl
doctext -mpath $UGROOT/../cd3d/man/mane -ext e -heading cd3d/appl -quotefmt *.c *.h
#generate man pages for fem
cd $UGROOT/../fem
doctext -mpath $UGROOT/../fem/man/mana -ext a -heading fem -quotefmt *.doc
cd $UGROOT/../fem/pclib
doctext -mpath $UGROOT/../fem/man/manf -ext f -heading fem/pclib -quotefmt *.c *.h
cd $UGROOT/../fem/appl
doctext -mpath $UGROOT/../fem/man/mang -ext g -heading fem/appl -quotefmt *.c *.h
echo "$0: man pages for ug created!";
exit 0;
fi
#!/bin/sh
if test -f refman.tex
then
rm refman.tex;
fi
#check whether there is a latex file
if test `ls *.3|wc -l` -eq 0
then
echo nothing to do;
exit 0;
fi
# edit this text to your needs
echo "The following list contains the functions documented for this module." >> refman.tex
echo "This list is ordered alphabetically (uppercase before lowercase) corresponding to the order of the manpages in this section." >> refman.tex
echo "The manuals which are available on the next pages cover the functions:" >> refman.tex
echo '\\b'egin\{itemize\} >> refman.tex
echo '\\'footnotesize >>refman.tex
for i in `ls -1 *.3 | sort -f`
do
if test -f $i
then
echo \\item `echo $i|sed 's/_/\\\_/g'|sed 's/\.3//'`\(\) >> refman.tex
fi
done
echo \\end\{itemize\} >> refman.tex
echo '\\n'ewpage >> refman.tex
echo \\pagestyle\{myheadings\} >> refman.tex
for i in `ls -1 *.3 | sort -f`
do
if test -f $i
then
if test -h $UGROOT/doc/texman/$i
then
echo modify;
num=`cat $i | wc -w`;
echo Anzahl Zeilen ${num};
echo `pwd`;
if test -h $UGROOT/doc/texman/${i}${num}
then
echo "file name substitution failed for $i${num}";
else
echo \\input\{${i}${num}\} >> refman.tex
ln -s `pwd`/$i $UGROOT/doc/texman/${i}${num}
#mv $i $UGROOT/doc/texman/${i}${num}
fi
else
echo \\input\{$i\} >> refman.tex
ln -s `pwd`/$i $UGROOT/doc/texman/$i
#mv $i $UGROOT/doc/texman/$i
fi
fi
done
#!/bin/sh
if test $# -ge 2 -o "$1" = "-help"
then
echo "usage: $0 [-remove]";
echo "purpose: create directory trees for man/latex pages";
echo "Options are";
echo " -remove: remove all directories I created";
echo " including directories NOT empty!";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# define function "ugmkdir"
ugmkdir ()
{
if test -d $1
then
echo "$1 exists already!";
else
mkdir $1
fi
}
if test $# -eq 0
then
# create man page trees
cd $UGROOT;
ugmkdir man;
cd man;
if test ! -f mandesc
then
cp ../doc/mandesc .
fi
for i in 1 2 3 4 5 6 7 8 9
do
ugmkdir man$i;
done
cd $UGROOT;
if test ! -d ..
then
exit 1;
fi
for i in diff2d cd3d fem
do
if test -d ../$i
then
cd ../$i;
ugmkdir man;
cd man;
ugmkdir mana;
if test ! -f mandesc
then
cp $UGROOT/doc/mandesc .;
else
echo "mandesc for $i exists";
fi
if test "$i" = "diff2d"
then
ugmkdir manb;
ugmkdir manc;
fi
if test "$i" = "cd3d"
then
ugmkdir mand;
ugmkdir mane;
fi
if test "$i" = "fem"
then
ugmkdir manf;
ugmkdir mang;
fi
cd ..;
else
echo "no directory $i";
fi
done
# create tree for latex pages
cd $UGROOT/doc;
ugmkdir texman;
ugmkdir ug3;
cd ug3
ugmkdir ug;
cd ug;
ugmkdir admin;
ugmkdir commands;
ugmkdir dev;
ugmkdir gm;
ugmkdir graph;
ugmkdir low;
ugmkdir numerics;
ugmkdir overview;
ugmkdir ui;
cd ..;
for i in cd3d diff2d fem
do
ugmkdir $i;
cd $i;
ugmkdir appl;
ugmkdir overview;
ugmkdir pclib;
cd ..;
done
echo "all man/latex directories created";
fi
if test "$1" = "-remove"
then
# remove man page directories
cd $UGROOT;
if test -d man
then
rm -rf man;
else
echo "no directory man";
fi
if test ! -d ..
then
exit 1;
fi
for i in diff2d cd3d fem
do
if test -d ../$i
then
cd ../$i
if test -d man
then
rm -rf man;
fi
else
echo "no directory $i";
fi
done
# remove latex page directory
cd $UGROOT/doc
if test -d texman
then
rm -rf texman;
else
echo "no directory texman";
fi
if test -d ug3
then
rm -rf ug3;
else
echo "no directory ug3";
fi
echo "all man/latex directories removed";
fi
#!/bin/sh
if test $UGMAN
then
MANPATH=$UGMAN
export MANPATH
man $*
else
echo "ERROR: to get the man pages of ug set the environment variable UGMAN"
fi
#!/bin/sh
# ugproject
# set -e to stop after the first error; otherwise you may miss errors.
set -e
cp $UGROOT/ug.conf $UGROOT/ug.conf.orig
# build 2TFFF lib
cp $UGROOT/configs/2TFFF.conf $UGROOT/ug.conf
cd $UGROOT; make -i clean
ugmake ug
cd $UGROOT/../diff2d/pclib
make
cd $UGROOT/../diff2d/appl
make
# rely on uglib2TFFF
#cd $UGROOT/../ns2d/pclib
#make
#cd $UGROOT/../ns2d/appl
#make
# build 3TFFF lib
cp $UGROOT/configs/3TFFF.conf $UGROOT/ug.conf
cd $UGROOT; make -i clean
ugmake ug
cd $UGROOT/../cd3d/pclib
make
cd $UGROOT/../cd3d/appl
make
# build 2FTFF lib
cp $UGROOT/configs/2FTFF.conf $UGROOT/ug.conf
cd $UGROOT; make -i clean
ugmake ug
cd $UGROOT/../fem/pclib
make
cd $UGROOT/../fem/appl
make
# Test is ready
# restore original state
mv $UGROOT/ug.conf.orig $UGROOT/ug.conf
cd $UGROOT; make -i clean
ugmake
#! /bin/sh
# descend,v 1.1 1992/04/03 05:22:52 berliner Exp
#
# descend - walk down a directory tree and execute a command at each node
fullname=$0
name=descend
usage="Usage: $name [-afqrv] command [directory ...]\n
\040\040-a\040\040All: descend into directories starting with '.'\n
\040\040-f\040\040Force: ignore errors during descent\n
\040\040-q\040\040Quiet: don't print directory names\n
\040\040-r\040\040Restricted: don't descend into RCS, CVS.adm, SCCS directories\n
\040\040-v\040\040Verbose: print command before executing it"
# Scan for options
while getopts afqrv option; do
case $option in
a)
alldirs=$option
options=$options" "-$option
;;
f)
force=$option
options=$options" "-$option
;;
q)
verbose=
quiet=$option
options=$options" "-$option
;;
r)
restricted=$option
options=$options" "-$option
;;
v)
verbose=$option
quiet=
options=$options" "-$option
;;
\?)
echo $usage 1>&2
exit 1
;;
esac
done
#shift `expr $OPTIND - 1`
force=f
restricted=r
# Get command to execute
if [ $# -lt 1 ] ; then
echo $usage 1>&2
exit 1
else
command=$1
shift
fi
# If no directory specified, use '.'
if [ $# -lt 1 ] ; then
default_dir=.
fi
# For each directory specified
for dir in $default_dir "$@" ; do
# Spawn sub-shell so we return to starting directory afterward
(cd $dir
# Execute specified command
if [ -z "$quiet" ] ; then
echo In directory `hostname`:`pwd`
fi
if [ -n "$verbose" ] ; then
echo $command
fi
eval "$command" || if [ -z "$force" ] ; then exit 1; fi
# Collect dot file names if necessary
if [ -n "$alldirs" ] ; then
dotfiles=.*
else
dotfiles=
fi
# For each file in current directory
for file in $dotfiles * ; do
# Skip '.' and '..'
if [ "$file" = "." -o "$file" = ".." ] ; then
continue
fi
# If a directory but not a symbolic link
if [ -d "$file" -a ! -h "$file" ] ; then
# If not skipping this type of directory
if [ \( "$file" != "RCS" -a \
"$file" != "SCCS" -a \
"$file" != "CVS" -a \
"$file" != "CVS.adm" \) \
-o -z "$restricted" ] ; then
# Recursively descend into it
$fullname $options "$command" "$file" \
|| if [ -z "$force" ] ; then exit 1; fi
fi
# Else if a directory AND a symbolic link
elif [ -d "$file" -a -h "$file" ] ; then
if [ -z "$quiet" ] ; then
echo In directory `hostname`:`pwd`/$file: symbolic link: skipping
fi
fi
done
) || if [ -z "$force" ] ; then exit 1; fi
done
#!/bin/sh
if test $# -eq 0 -o $# -ge 2 -o "$1" = "-help"
then
echo "usage: $0 <texfile>|-remove";
echo "purpose: call tex with modified input path";
echo "Options are";
echo " <texfile>: the texfile you want to compile";
echo " where <texfile> is one of progmanual.tex, refmanual.tex";
echo " or applmanual.tex";
echo " remove: remove all auxilary files of texfiles mentioned above";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# set the latex manual
TEXINPUTS=${TEXINPUTS}:$UGROOT/doc/texman
export TEXINPUTS;
if test "$1" = "-remove"
then
cd $UGROOT/doc;
for i in *manual.aux *manual.dvi *manual.idx *manual.log *manual.toc
do
rm $i;
done
echo "all tex auxilary files removed";
exit 0;
fi
if test $# -eq 1
then
latex $1
fi
#!/bin/sh
if test $# -ge 1
then
echo "usage: $0";
exit 1;
fi
if test "x$UGROOT" = "x"
then
echo "$0: to use $0 set shell environment variable UGROOT!";
exit 1;
fi
# set man path
MANPATH=$UGROOT/man:$UGROOT/../diff2d/man:$UGROOT/../cd3d/man:$UGROOT/../fem/man
export MANPATH
xman -notopbox -bothshown
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment